summaryrefslogtreecommitdiffstats
path: root/toolchain
diff options
context:
space:
mode:
authorPeter Korsgaard2008-06-18 15:11:52 +0200
committerPeter Korsgaard2008-06-18 15:11:52 +0200
commit0c462a82ec7ba43148b4deea76ef1394263a3845 (patch)
treec12a036497f2ff32d2790fe508b4dd9aa114a9a1 /toolchain
parentuclibc: only strip libpthread on 0.9.28.3 / not PTHREAD_DEBUG (diff)
downloadbuildroot-0c462a82ec7ba43148b4deea76ef1394263a3845.tar.gz
buildroot-0c462a82ec7ba43148b4deea76ef1394263a3845.tar.xz
buildroot-0c462a82ec7ba43148b4deea76ef1394263a3845.zip
dependencies: check for awk
Diffstat (limited to 'toolchain')
-rwxr-xr-xtoolchain/dependencies/dependencies.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/toolchain/dependencies/dependencies.sh b/toolchain/dependencies/dependencies.sh
index 60b9b6596..170f43728 100755
--- a/toolchain/dependencies/dependencies.sh
+++ b/toolchain/dependencies/dependencies.sh
@@ -234,6 +234,18 @@ fi
#############################################################
#
+# check build system 'awk'
+#
+#############################################################
+if ! which awk > /dev/null ; then
+ echo "awk installed: FALSE"
+ /bin/echo -e "\n\nYou must install 'awk' on your build machine\n";
+ exit 1;
+fi;
+echo "awk installed: Ok"
+
+#############################################################
+#
# check build system 'bison'
#
#############################################################